Bug 23153 - In framework management action subfields goes directly to edition
Summary: In framework management action subfields goes directly to edition
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Keywords:
Depends on: 21704
Blocks: 23179
  Show dependency treegraph
 
Reported: 2019-06-19 04:59 UTC by Fridolin SOMERS
Modified: 2019-07-19 19:11 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.02


Attachments
Bug 23153: In framework management action subfields must not go directly to edition (2.35 KB, patch)
2019-06-19 05:08 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 23153: In framework management action subfields must not go directly to edition (2.40 KB, patch)
2019-06-19 12:31 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23153: In framework management action subfields must not go directly to edition (2.46 KB, patch)
2019-06-21 10:57 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2019-06-19 04:59:50 UTC
Since 18.11, when viewing a framework field clicking on Actions > Subfields goes to subfields edition instead of subfields table view.
Comment 1 Fridolin SOMERS 2019-06-19 05:00:34 UTC
Introduced by Bug 21704
Comment 2 Fridolin SOMERS 2019-06-19 05:08:19 UTC
Created attachment 90770 [details] [review]
Bug 23153: In framework management action subfields must not go directly to edition

Since 18.11, when viewing a framework field clicking on Actions > Subfields goes to subfields edition instead of subfields table view.

This is because link contains op=add_form.
This is is also missing /cgi-bin/koha/admin.

Test plan :
1) Go to Administration > MARC bibliographic framework
2) On a line click Actions > MARC structure
3) On a line click Actions > Subfields
4) You see subfields table
5) Click on Edit subfields
6) You see subfields edition tabs
Comment 3 Owen Leonard 2019-06-19 12:31:39 UTC
Created attachment 90785 [details] [review]
Bug 23153: In framework management action subfields must not go directly to edition

Since 18.11, when viewing a framework field clicking on Actions >
Subfields goes to subfields edition instead of subfields table view.

This is because link contains op=add_form.
This is is also missing /cgi-bin/koha/admin.

Test plan :
1) Go to Administration > MARC bibliographic framework
2) On a line click Actions > MARC structure
3) On a line click Actions > Subfields
4) You see subfields table
5) Click on Edit subfields
6) You see subfields edition tabs

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Nick Clemens 2019-06-21 10:57:03 UTC
Created attachment 90893 [details] [review]
Bug 23153: In framework management action subfields must not go directly to edition

Since 18.11, when viewing a framework field clicking on Actions >
Subfields goes to subfields edition instead of subfields table view.

This is because link contains op=add_form.
This is is also missing /cgi-bin/koha/admin.

Test plan :
1) Go to Administration > MARC bibliographic framework
2) On a line click Actions > MARC structure
3) On a line click Actions > Subfields
4) You see subfields table
5) Click on Edit subfields
6) You see subfields edition tabs

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 5 Martin Renvoize 2019-06-21 12:14:05 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-07-16 06:36:07 UTC
Pushed to 19.05.x for 19.05.02
Comment 7 Lucas Gass 2019-07-19 19:11:08 UTC
backported to 18.11.x for 18.11.08